
Ryzom - Bug # 1527

Status: Rejected Priority: Normal
Author: shackra Category: Build
Created: 03/08/2013 Assignee:
Updated: 04/25/2013 Due date:
Subject: /build/src/ryzomcore/code/nel/src/gui/lua_object.cpp:475:23: error: 'LUA_GLOBALSINDEX' was not declared 

in this scope
Description

Hello, after bug #1521 I tried to build the game again and I got this error! the arguments for cmake were
'-DWITH_LUA51=ON''-DWITH_STATIC=OFF' '-DWITH_NEL_TOOLS=OFF' '-DWITH_NEL_TESTS=OFF'
'-DWITH_NEL_SAMPLES=OFF' '-DWITH_RYZOM_TOOLS=OFF' and  '-DWITH_RYZOM_SERVER=OFF'
'-DWITH_RYZOM_CLIENT=ON' (yes, from @Thaodan PKGBUILD) Here is the output:

[ 34%] Building CXX object nel/src/3d/driver/opengl/CMakeFiles/nel_drv_opengl.dir/unix_event_emitter.cpp.o
/build/src/ryzomcore/code/nel/src/3d/driver/opengl/unix_event_emitter.cpp: In member function 'bool
NLMISC::CUnixEventEmitter::processMessage(XEvent&, NLMISC::CEventServer*)':
/build/src/ryzomcore/code/nel/src/3d/driver/opengl/unix_event_emitter.cpp:569:8: warning: 'KeySym
XKeycodeToKeysym(Display*, KeyCode, int)' is deprecated (declared at /usr/include/X11/Xlib.h:1695)
[-Wdeprecated-declarations]
/build/src/ryzomcore/code/nel/src/3d/driver/opengl/unix_event_emitter.cpp:569:41: warning: 'KeySym
XKeycodeToKeysym(Display*, KeyCode, int)' is deprecated (declared at /usr/include/X11/Xlib.h:1695)
[-Wdeprecated-declarations]
Linking CXX shared module ../../../../../lib/libnel_drv_opengl.so
[ 34%] Built target nel_drv_opengl
Scanning dependencies of target nelgui
[ 34%] Building CXX object nel/src/gui/CMakeFiles/nelgui.dir/lua_object.cpp.o
In file included from /build/src/ryzomcore/code/nel/include/nel/gui/lua_object.h:23:0,
                 from /build/src/ryzomcore/code/nel/src/gui/lua_object.cpp:17:
/build/src/ryzomcore/code/nel/include/nel/gui/lua_helper.h:304:107: error: 'LUA_GLOBALSINDEX' was not declared in this
scope
In file included from /build/src/ryzomcore/code/nel/include/nel/gui/lua_helper.h:383:0,
                 from /build/src/ryzomcore/code/nel/include/nel/gui/lua_object.h:23,
                 from /build/src/ryzomcore/code/nel/src/gui/lua_object.cpp:17:
/build/src/ryzomcore/code/nel/include/nel/gui/lua_helper_inline.h: In member function 'void
NLGUI::CLuaState::checkIndex(int)':
/build/src/ryzomcore/code/nel/include/nel/gui/lua_helper_inline.h:45:2: error: 'LUA_GLOBALSINDEX' was not declared in this
scope
/build/src/ryzomcore/code/nel/include/nel/gui/lua_helper_inline.h: In member function 'size_t NLGUI::CLuaState::strlen(int)':
/build/src/ryzomcore/code/nel/include/nel/gui/lua_helper_inline.h:246:33: error: 'lua_strlen' was not declared in this scope
/build/src/ryzomcore/code/nel/include/nel/gui/lua_helper_inline.h: In member function 'bool NLGUI::CLuaState::equal(int, int)':
/build/src/ryzomcore/code/nel/include/nel/gui/lua_helper_inline.h:345:41: error: 'lua_equal' was not declared in this scope
/build/src/ryzomcore/code/nel/include/nel/gui/lua_helper_inline.h: In member function 'bool NLGUI::CLuaState::lessThan(int,
int)':
/build/src/ryzomcore/code/nel/include/nel/gui/lua_helper_inline.h:379:44: error: 'lua_lessthan' was not declared in this scope
/build/src/ryzomcore/code/nel/src/gui/lua_object.cpp: In constructor
'NLGUI::CLuaEnumeration::CLuaEnumeration(NLGUI::CLuaObject&)':
/build/src/ryzomcore/code/nel/src/gui/lua_object.cpp:475:23: error: 'LUA_GLOBALSINDEX' was not declared in this scope
make[2]: *** [nel/src/gui/CMakeFiles/nelgui.dir/lua_object.cpp.o] Error 1
make[1]: *** [nel/src/gui/CMakeFiles/nelgui.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Build failed, check /mnt/building/root/build
==> ERROR: (libremakepkg): An unknown error has occurred. Exiting...
jorge [/tmp/ryzom-hg] ~> 

History
#1 - 03/08/2013 10:52 am - kervala

Apparently it tries to use Lua 5.2 even if you installed Lua 5.1.

LUA_GLOBALSINDEX should be defined in lua.h

#2 - 03/19/2013 12:48 am - shackra

kervala wrote:

Apparently it tries to use Lua 5.2 even if you installed Lua 5.1.

LUA_GLOBALSINDEX should be defined in lua.h

this is nearly impossible because A) the actual dependency used is 'lua51' and not 'lua' B) is building the package in a clean chroot and C) 
-DWITH_LUA51=ON is activated!

This is a weird bug! D:

#3 - 04/25/2013 12:33 am - shackra

the problem was that one package that depends on lua 5.2 was being installed instead of his version for lua 5.1. Now that's fixed and Ryzom is
compiling as it should (so far) :)

#4 - 04/25/2013 01:06 pm - kervala
- Status changed from New to Rejected

That's a good news :) Thanks !

07/09/2015 2/2


